package com.inkasso.factoring.creditmanagement.enums;

public enum CreditInvestigationTypeEnums {

    ONE("c_credit_investigation_info_type_1","法人"),

    TWO("c_credit_investigation_info_type_2","大股东"),

    THREE("c_credit_investigation_info_type_3","实控人");

    String code;

    String desc;

    CreditInvestigationTypeEnums(String code, String desc){
        this.code = code;
        this.desc = desc;
    }

    public static CreditInvestigationTypeEnums getByCode(String code){
        for(CreditInvestigationTypeEnums ft:values()){
            if(ft.code.equals(code)){
                return ft;
            }
        }
        return null;
    }

    public String getCode() {
        return code;
    }

    public String getDesc() {
        return desc;
    }
}
